{% extends 'blog/base.html' %} {% block content %} {% for post in posts %}
<div class="post">
    <div class="date">{{ post.published_date }}</div>
    <h1><a href="{% url 'post_detail' pk=post.pk %}">{{ post.title }}</a></h1>
    <p>{{ post.text|linebreaksbr|truncatechars:200 }}</p>
    {% if user.is_authenticated %}
    <a href="{% url 'post_detail' pk=post.pk%}">Comentarios: {{ post.comments.count }}</a>
    {% else %}
    <a href="{% url 'post_detail' pk=post.pk%}">Comentarios: {{ post.approved_comments.count }}</a>
    {% endif %}
</div>
{% endfor %} {% endblock content %}